Get view version
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.context-slice-version",
"version": 1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"source_draft_revision": 123,
"definition": {
"purpose": "<string>",
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"compiled": {
"schema": "penumbra.project-context-compiled",
"version": 1,
"compiler_version": "mesh-context-compiler/1",
"fingerprint": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"purpose": "<string>",
"definition": {
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"dependencies": {
"ontology_revision": "<string>",
"shape_artifacts": [
{
"shape_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_digest": "<string>"
}
],
"bridge_set_digest": "<string>"
},
"resolved_scope": {
"files": {
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"collection_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"graph": {
"node_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"shape_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"entity_type_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"entity_type_names": [
"<string>"
],
"relationship_type_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"relationship_type_names": [
"<string>"
],
"search_relationships": true
}
},
"warnings": [
{
"code": "<string>",
"catalog": "files",
"detail": "<string>"
}
]
},
"definition_hash": "<string>",
"resolved_hash": "<string>",
"compiler_version": "<string>",
"previous_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_by_subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_by_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_at": "2023-11-07T05:31:56Z",
"replayed": true
}
}Views
Get view version
Read one published View version.
Get view version
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.context-slice-version",
"version": 1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"source_draft_revision": 123,
"definition": {
"purpose": "<string>",
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"compiled": {
"schema": "penumbra.project-context-compiled",
"version": 1,
"compiler_version": "mesh-context-compiler/1",
"fingerprint": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"purpose": "<string>",
"definition": {
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"dependencies": {
"ontology_revision": "<string>",
"shape_artifacts": [
{
"shape_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_digest": "<string>"
}
],
"bridge_set_digest": "<string>"
},
"resolved_scope": {
"files": {
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"collection_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"graph": {
"node_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"shape_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"entity_type_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"entity_type_names": [
"<string>"
],
"relationship_type_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"relationship_type_names": [
"<string>"
],
"search_relationships": true
}
},
"warnings": [
{
"code": "<string>",
"catalog": "files",
"detail": "<string>"
}
]
},
"definition_hash": "<string>",
"resolved_hash": "<string>",
"compiler_version": "<string>",
"previous_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_by_subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_by_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_at": "2023-11-07T05:31:56Z",
"replayed": true
}
}Operation ID:
http.views.versions.get
GET /v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
2XX - application/json
Success.
Show child attributes
Show child attributes